Function
valueConstruct
Constructs an object at specified position.
valueConstruct(iterator [, param [, move_tag] ])
Include Headers
seqan/basic.h
Parameters

iterator | Pointer or iterator to position where the object should be constructed.
param | Parameter that is forwarded to constructor. (optional)
move_tag | Instance of the move switch tag. (optional) Remarks: If the move switch tag is specified, it is forwarded to the constructor, so the constructed object must support move construction.

Remarks
The type of the destructed object is the value type of iterator.
See Also
arrayConstruct, arrayConstructMove, valueDestruct, allocate, arrayConstructCopy
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49